al_get_current_inverse_transform(3)

NAME

al_get_current_inverse_transform - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const ALLEGRO_TRANSFORM *al_get_current_inverse_transform(void)

DESCRIPTION

Returns the inverse of the current transformation of the target bitmap. If there is no target bitmap, this function returns NULL.

This is similar to calling al_invert_transform(al_get_current_transform()) but the result of this function is cached.

    Note: Allegro's transformation inversion functions work correctly only with 2D transformations.

SINCE

5.1.0